/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";
package android.content;

option java_multiple_files = true;

import "frameworks/base/core/proto/android/os/persistablebundle.proto";
import "frameworks/base/core/proto/android/privacy.proto";

// An android.content.ClipDescription object.
message ClipDescriptionProto {
    option (.android.msg_privacy).dest = DEST_AUTOMATIC;

    repeated string mime_types = 1;
    optional string label = 2 [ (.android.privacy).dest = DEST_EXPLICIT ];
    optional android.os.PersistableBundleProto extras = 3;
    optional int64 timestamp_ms = 4;
}
